SRS Integration Partner Services
HomeAPIs
HomeAPIs
  1. Orders
  • Authentication
    • Token
      POST
  • Orders
    • Delivery Details
      GET
    • Deliveries List
      POST
    • Proof of Delivery
      GET
    • Order Details
      GET
    • Order List
      POST
    • Submit Order
      POST
  • Invoices
    • Invoice Details
      GET
    • Invoices List
      POST
    • Invoice Pdf
      GET
  • Products
    • Price
      POST
    • UOM Conversion
      GET
    • Color Recommendations
      POST
    • Catalog Item Convert
      POST
    • Catalog
      GET
    • By Item Codes
      POST
  • Customers
    • Customer Details
      GET
    • Validate Customer
      GET
    • Order Templates
      GET
    • Purchase History
      GET
  • Branches
    • Branch Locations
      GET
    • Active Branch Products
      GET
    • Customer Branch Locations
      GET
  • Deliveries
    • Coordinates
  1. Orders

Order List

POST
/orders/List
Delivery Details Information. retrieve delivery information for given order id.

Request

Header Params

Body Params application/x-msgpack

Example
{
    "branchCode": "SSHOU",
    "customerNumber": "COR206",
    "shipToSequenceNumber": 0,
    "orderId": 0,
    "orderFromDate": "2025-01-01",
    "orderToDate": "2025-02-10",
    "rowReturnLimit": 10,
    "orderStatus": "",
    "PONumber": "",
    "jobNumber": "",
    "shipToAddress": "",
    "includeInvoices": "Y"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://services-qa.roofhub.pro/orders/List' \
--header 'Authorization: Bearer' \
--header 'Content-Type: application/json' \
--data '{
    "branchCode": "SSHOU",
    "customerNumber": "COR206",
    "shipToSequenceNumber": 0,
    "orderId": 0,
    "orderFromDate": "2025-01-01",
    "orderToDate": "2025-02-10",
    "rowReturnLimit": 10,
    "orderStatus": "",
    "PONumber": "",
    "jobNumber": "",
    "shipToAddress": "",
    "includeInvoices": "Y"
}'

Responses

🟢200OrderList
application/json
Bodyapplication/json

Example
{
    "orderList": [
        {
            "PONumber": "PO-C-TX-276853",
            "customerCode": "COR206",
            "branchAddress": "12400 Taylor Road",
            "branchCity": "Houston",
            "branchState": "TX",
            "branchZip": "77041",
            "branchCityStateZip": "Houston, TX 77041",
            "branchCode": "SSHOU",
            "branchId": 64,
            "branchFax": "832-300-3751",
            "branchPhone": "832-300-3770",
            "branchLogo": "https://assets.srsdistribution.com/image/upload/Uploads/BrandsByID/Test/217.png",
            "branchName": "SRS BUILDING PRODUCTS - HOUSTON",
            "deliveryCharges": -107.44,
            "jobNumber": "",
            "referenceNumber": "",
            "shipViaCode": "ROOF LOAD",
            "notes": " ",
            "orderDate": "2025-02-10T00:00:00",
            "orderNumber": 41725522,
            "orderStatus": "Invoiced",
            "orderTotal": 2209.68,
            "orderType": "SO",
            "shipToSequenceNumber": "38",
            "shipToAddress1": "17730 SEED DRILL LANE ",
            "shipToAddress2": "STATE PULTE PURCHASES HOUSTON",
            "shipToAddress3": "WINDROW ",
            "shipToCity": "HOCKLEY",
            "shipToState": "TX",
            "shipToZip": "77447",
            "shipToCityStateZip": "HOCKLEY, TX 77447",
            "subTotal": 2148.7,
            "tax": 168.42,
            "deliveryDate": "2025-02-12T00:00:00",
            "deliveryWindow": "7AM to 12PM",
            "expectedDate": "2025-02-12T00:00:00",
            "deliveredBy": "3rdParty"
        }
    ]
}
Modified at 2026-08-20 20:29:54
Previous
Order Details
Next
Submit Order
Built with